#
# spec file for package glproto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           glproto
Version:        1.4.17
Release:        1.22
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: OpenGL extension
License:        SGI-B-2.0
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/glproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/glproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GL protocol headers for X11 development.
This extension defines a protocol for the client to send 3D rendering
commands to the X server.

%package devel
Summary:        The X11 Protocol: OpenGL extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/glproto.pc

%description devel
The GL protocol headers for X11 development.
This extension defines a protocol for the client to send 3D rendering
commands to the X server.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%_includedir/GL/
%_libdir/pkgconfig/*.pc

%changelog
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING file to %%doc
* Mon Apr 28 2014 cfarrell@suse.com
- license update: SGI-B-2.0
  See COPYING. Also, install COPYING in the %%doc section
* Wed Apr 23 2014 tobias.johannes.klausmann@mni.thm.de
- Created package glproto with initial version 1.4.17
